DewaVPS

Create backup schedule

GET
/instance/{instance_uuid}/backup/schedules/create

Create a new backup schedule for a specific instance.

Authorization

ApiKeyAuth
x-apikey<token>

In: header

Path Parameters

instance_uuid*string

UUID of the instance

Formatuuid

Query Parameters

retention*integer

Retention count of the schedule

schedule_type*string

Type of schedule (e.g. daily, weekly)

schedule_at*integer

Hour of the day for the schedule

schedule_on?integer

Day of the week for the schedule (for weekly schedules)

Response Body

application/json

curl -X GET "https://api.dewavps.com/v1/instance/497f6eca-6276-4993-bfeb-53cbbbba6f08/backup/schedules/create?retention=0&schedule_type=string&schedule_at=0"
{
  "message": "Backup schedule successfully created",
  "data": {
    "schedule": "weekly"
  }
}